=== debian/control ===
Source: pure-sockets
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-sockets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BSD socket interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides an interface to the Berkeley socket
 functions. It provides most of the core functionality, so you can create
 sockets for both stream and datagram based protocols and use these to
 transmit messages. Unix-style file sockets are also available if the host
 system supports them.
